html,
body {
  height: 100vh;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.playground {
  display: inline-block;
  position: relative;
  border: 1px solid black;
  width: 400px;
  height: 400px;
}

.playground.full-screen {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.controls {
  position: absolute;
  top: 2px;
  right: 2px;
  height: 40px;
  border: 1px solid #888;
  opacity: 0.5;
  background-color: rgba(255, 255, 255, 0.4);
  border-radius: 5px;
}

.controlButton {
  padding: 5px;
  width: 30px;
  height: 30px;
  position: relative;
  display: inline-block;
  border-radius: 5px;
}

.controlButton:hover {
  background-color: #ff0;
}

#wrapper {
  display: flex;
  height: 100vh;
  overflow: hidden;
  flex-direction: column;
}

#body {
  display: flex;
  flex-direction: row;
  flex: 1;
  height: 100%;
  min-height: 10px; /* firefox */
}

#editor {
  flex: 1;
  position: relative;
  height: 100%;
  border: 1px solid var(--separator-color);
}

#right-panel {
  flex: 0 0 220px;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  height: 100%
}

.drag-image {
  position: absolute;
  pointer-events: none;
  z-index: 1000;
}

.repository-list-entry {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  border: 1px solid var(--separator-color);
}

.drag-handle {
  height: 100%;
  width: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--secondary-button-background-color);
}

.grip {
  width: 20px;
  height: 8px;
  background-image: radial-gradient(black 40%, transparent 40%);
  background-size: 4px 4px;
  background-color: var(--secondary-button-hover-background-color);
  border: 1px solid var(--separator-color);
  pointer-events: none;
}

.top-content-bottom {
  display: flex;
  overflow: hidden;
  flex-direction: column;
}

.tool-bar {
  flex: 0 0 auto;
  max-width: 200px;
}

.tool-bar .button {
  width: unset;
  min-width: unset;
}

.bonds-list {
  display: flex;
  flex-shrink: 2;
  min-height: 150px;
}

.atom-list {
  display: flex;
  flex: 1;
  min-height: 150px;
}

.float-right {
  position: absolute;
  right: 10px;
  bottom: 20px;
}